:root{
    --primary:#0d6efd;
    --secondary:#0a58ca;
    --dark:#0b2340;
    --light:#f8fbff;
    --white:#ffffff;
    --text:#5f6b7a;
    --shadow:0 15px 35px rgba(13,110,253,.12);
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

/* Hero Section */
.hero{
    padding:90px 0;
    background:linear-gradient(135deg,#577bf4,#a7a2f8,#99c1f6);
    position:relative;
    overflow:hidden;
}

.hero::before{
    content:"";
    position:absolute;
    width:500px;
    height:500px;
    background:rgba(13,110,253,.07);
    border-radius:50%;
    top:-180px;
    right:-120px;
}

.hero h1{
    font-size:clamp(2rem,3vw,2.5rem);
    font-weight:500;
    color:#fff;
    margin-bottom:20px;
    margin-top: 20px;
}

.hero p{
    font-size:1.05rem;
    margin-bottom:30px;
    color:#fff;
}

.badge-custom{
    display:inline-block;
    padding:10px 22px;
    background:rgba(235, 238, 243, 0.12);
    color:#fff;
    border-radius:50px;
    font-weight:600;
}

.product-circle{
    width:430px;
    height:430px;
    margin:auto;
    border-radius:50%;
    background:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    box-shadow:var(--shadow);
}

/*  Sections */
section{
    padding:90px 0;
}

.section-title{
    text-align:center;
    margin-bottom:60px;
}

.section-title h2{
    color:var(--dark);
    font-size:2.3rem;
    font-weight:500;
    margin-bottom:15px;
}

.section-title p{
    max-width:700px;
    margin:auto;
}

/* About */
.about img{
    border-radius:20px;
    box-shadow:var(--shadow);
    transition:.5s;
}

.about img:hover{
    transform:scale(1.03);
}

.about h2{
    color:var(--dark);
    margin-bottom:20px;
}

.list-group-item{
    border:none;
    padding:12px 0;
    background:transparent;
    font-weight:600;
}

/* Feature Cards */
.features{
    background:#ffffff;
}

.feature-card{
    background:#fff;
    padding:35px;
    border-radius:20px;
    text-align:center;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.4s;
    height:100%;
}

.feature-card:hover{
    transform:translateY(-10px);
    box-shadow:0 18px 40px rgba(13,110,253,.18);
}

.icon{
    width:75px;
    height:75px;
    margin:auto auto 20px;
    border-radius:50%;
    background:#3785e6;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:32px;
}

.feature-card h5{
    color:var(--dark);
    margin-bottom:15px;
}

.feature-card p{
    color:var(--dark);
    
}

/* Benefits */
.benefits{
    background:linear-gradient(180deg,#f8fbff,#ffffff);
}

.benefit-card{
    background:#fff;
    padding:35px;
    border-radius:20px;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.4s;
    text-align:center;
    height:100%;
}

.benefit-card:hover{
    transform:translateY(-8px);
}

.benefit-card h4{
    color:var(--dark);
    margin-bottom:15px;
}

/* Working Process */
.step-card{
    background:#fff;
    border-radius:20px;
    padding:30px;
    text-align:center;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.4s;
    height:100%;
}

.step-card:hover{
    transform:translateY(-8px);
}

.step-card h5{
    color:var(--dark);
}

.step-card p{
    color:var(--dark);
}
.step{
    width:70px;
    height:70px;
    background:var(--primary);
    color:#fff;
    margin:auto auto 20px;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:24px;
    font-weight:700;
}

.tick{
    color: #28a745;      /* Green */
    font-size: 20px;     /* Bigger tick */
    font-weight: bold;
    margin-right: 10px;
    vertical-align: middle;
}

/* Applications */
.applications{
    background:#f5f9ff;
}

.application-card{  
    background:#fff;
    padding:30px;
    border-radius:20px;
    text-align:center;
    box-shadow:0 10px 30px rgba(0,0,0,.08);
    transition:.4s;
    height:100%;
}

.application-card:hover{
    transform:translateY(-8px);
}

.application-card h5{
    color:var(--primary);
    margin-bottom:15px;
    font-size:1.2em;
}

.application-card p{
    color:var(--dark);
}

/* CTA */
.cta{
    background:linear-gradient(135deg,#577bf4,#a7a2f8,#99c1f6);
    color:#fff;
    text-align:center;
}

.cta h2{
    font-size:2.2rem;
    font-weight:500;
    margin-bottom:20px;
}

.cta p{
    max-width:700px;
    margin:auto auto 30px;
    font-size:18px;
}

.cta .btn{
    padding:14px 40px;
    border-radius:50px;
    font-weight:600;
    transition:.4s;
    color: var(--primary);
}

.cta .btn:hover{
    transform:translateY(-5px);
}

/* Footer */
footer{
    background:var(--secondary);
    color:#fff;
    padding:35px 0;
}

footer p{
    margin:0;
    color:rgba(255,255,255,.75);
}

/* Animations */
.feature-card,
.benefit-card,
.application-card,
.process-step{
    animation:fadeUp .8s ease;
}

@keyframes fadeUp{

    from{
        opacity:0;
        transform:translateY(35px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

/* Responsive */
@media(max-width:991px){

    .hero{
        text-align:center;
        padding:80px 0;
    }

    .hero h1{
        font-size:2.4rem;
    }

    .product-circle{
        width:320px;
        height:320px;
        margin-top:40px;
    }
}

@media(max-width:768px){

    section{
        padding:70px 0;
    }

    .hero h1{
        font-size:2rem;
    }

    .section-title h2{
        font-size:2rem;
    }

    .product-circle{
        width:270px;
        height:270px;
    }

    .feature-card,
    .benefit-card,
    .application-card,
    .process-step{
        padding:25px;
    }
}

@media (max-width:576px){

    .button-group{
        display:flex;
        gap:10px;
    }

    .btn1,
    .btn2{
        flex:1;
        width:auto;
    }
}